Module java.desktop
Package javax.swing.text

## Class TabStop

- java.lang.Object
- - javax.swing.text.TabStop

All Implemented Interfaces:
  Serializable

    public class TabStop
    extends Object
    implements Serializable

This class encapsulates a single tab stop (basically as tab stops are thought of by RTF). A tab stop is at a specified distance from the left margin, aligns text in a specified way, and has a specified leader. TabStops are immutable, and usually contained in TabSets.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

### Field Summary

Fields
`static int` `ALIGN_BAR` Align bar
`static int` `ALIGN_CENTER` Characters following tab are positioned such that all following characters up to next tab/newline are centered around the tabs location.
`static int` `ALIGN_DECIMAL` Characters following tab are aligned such that next decimal/tab/newline is at the tab location, very similar to RIGHT_TAB, just includes decimal as additional character to look for.
`static int` `ALIGN_LEFT` Character following tab is positioned at location.
`static int` `ALIGN_RIGHT` Characters following tab are positioned such that all following characters up to next tab/newline end at location.
`static int` `LEAD_DOTS` Lead dots
`static int` `LEAD_EQUALS` Lead equals
`static int` `LEAD_HYPHENS` Lead hyphens
`static int` `LEAD_NONE` Lead none
`static int` `LEAD_THICKLINE` Lead thickline
`static int` `LEAD_UNDERLINE` Lead underline

### Constructor Summary

Constructors
Constructor and Description
`TabStop(float pos)` Creates a tab at position `pos` with a default alignment and default leader.
`TabStop(float pos, int align, int leader)` Creates a tab with the specified position `pos`, alignment `align` and leader `leader`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)` Returns true if the tabs are equal.
`int` `getAlignment()` Returns the alignment, as an integer, of the tab.
`int` `getLeader()` Returns the leader of the tab.
`float` `getPosition()` Returns the position, as a float, of the tab.
`int` `hashCode()` Returns the hashCode for the object.
`String` `toString()` Returns a string representation of the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ALIGN_BAR

    public static final int ALIGN_BAR

Align bar

See Also:
  Constant Field Values

#### ALIGN_CENTER

    public static final int ALIGN_CENTER

Characters following tab are positioned such that all following characters up to next tab/newline are centered around the tabs location.

See Also:
  Constant Field Values

#### ALIGN_DECIMAL

    public static final int ALIGN_DECIMAL

Characters following tab are aligned such that next decimal/tab/newline is at the tab location, very similar to RIGHT_TAB, just includes decimal as additional character to look for.

See Also:
  Constant Field Values

#### ALIGN_LEFT

    public static final int ALIGN_LEFT

Character following tab is positioned at location.

See Also:
  Constant Field Values

#### ALIGN_RIGHT

    public static final int ALIGN_RIGHT

Characters following tab are positioned such that all following characters up to next tab/newline end at location.

See Also:
  Constant Field Values

#### LEAD_DOTS

    public static final int LEAD_DOTS

Lead dots

See Also:
  Constant Field Values

#### LEAD_EQUALS

    public static final int LEAD_EQUALS

Lead equals

See Also:
  Constant Field Values

#### LEAD_HYPHENS

    public static final int LEAD_HYPHENS

Lead hyphens

See Also:
  Constant Field Values

#### LEAD_NONE

    public static final int LEAD_NONE

Lead none

See Also:
  Constant Field Values

#### LEAD_THICKLINE

    public static final int LEAD_THICKLINE

Lead thickline

See Also:
  Constant Field Values

#### LEAD_UNDERLINE

    public static final int LEAD_UNDERLINE

Lead underline

See Also:
  Constant Field Values

### Constructor Detail

#### TabStop

    public TabStop(float pos)

Creates a tab at position `pos` with a default alignment and default leader.

Parameters:
  `pos` - position of the tab

#### TabStop

    public TabStop(float pos,
                   int align,
                   int leader)

Creates a tab with the specified position `pos`, alignment `align` and leader `leader`.

Parameters:
  `pos` - position of the tab
  `align` - alignment of the tab
  `leader` - leader of the tab

### Method Detail

#### getPosition

    public float getPosition()

Returns the position, as a float, of the tab.

Returns:
  the position of the tab

#### getAlignment

    public int getAlignment()

Returns the alignment, as an integer, of the tab.

Returns:
  the alignment of the tab

#### getLeader

    public int getLeader()

Returns the leader of the tab.

Returns:
  the leader of the tab

#### equals

    public boolean equals(Object other)

Returns true if the tabs are equal.

Overrides:
  `equals` in class `Object`
Parameters:
  `other` - the reference object with which to compare.
Returns:
  true if the tabs are equal, otherwise false
See Also:
  `Object.hashCode()`, `HashMap`

#### hashCode

    public int hashCode()

Returns the hashCode for the object. This must be defined here to ensure 100% pure.

Overrides:
  `hashCode` in class `Object`
Returns:
  the hashCode for the object
See Also:
  `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

#### toString

    public String toString()

Description copied from class: `Object`
Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

>      getClass().getName() + '@' + Integer.toHexString(hashCode())

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the object.